Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
no puedo compilar desde linux ni ejecutar desde windows 7
16-05-2013, 02:12 PM,
#1
no puedo compilar desde linux ni ejecutar desde windows 7
hola a todos soy nuevo en el foro estoy tratando de usar pinguino en su version mas reciente descargada desde "svn checkout http://pinguino32.googlecode.com/svn/ide/x.4/" y si trato de ejecutarla desde kubuntu x64 instalado con el script de yeison parece ir todo bien pero no logro compilar un simple blinck de ejemplo, aparte hay veses que puedo avrir los archivos y otras que trato de avrir y no se muestra nada en la lista, y en windows 7 no se ejecuta en el log no da errores pero se queda cargando la ventana de dos y no se ejecuta al contrario que en windows xp que es donde unico parece ir todo bien


espero su ayuda
Reply
16-05-2013, 10:01 PM,
#2
RE: no puedo compilar desde linux ni ejecutar desde windows 7
hola alexrlopez86

en Xp te va todo bien? que placa o pic usas¿? y que version del IDE?

Gracias!
Reply
16-05-2013, 10:36 PM,
#3
RE: no puedo compilar desde linux ni ejecutar desde windows 7
la placa es la 18f2550 y si en el xp ba todo bien menos el driver del cdc que no termina de andar pero el ide x4 rev 824 ba perfecto de momento
Reply
17-05-2013, 12:46 PM,
#4
RE: no puedo compilar desde linux ni ejecutar desde windows 7
yo no lo consigo. y tengo el mismo chip y misma version del X4.
Que bootloader usas? la placa la montaste tu? si la montaste tu con el esquema del wiki http://wiki.pinguino.cc/index.php/PIC18F2550_Pinguino

a mi me va bien con el X4 685+ y bootloader 4.8 pero con los posteriores nada
Reply
18-05-2013, 08:58 PM, (This post was last modified: 18-05-2013, 09:13 PM by alexrlopez86.)
#5
RE: no puedo compilar desde linux ni ejecutar desde windows 7
en windows 7 x64
desde el ide sale esto

Code:
Archivo: C:\alex\x.4\x.4\examples\01.Basics\Blink\Blink.pde
error de compilación
comprobar líneas resaltadas en el código
[/code]
se resuelve con pyton y wxpython 2.6


desde dos

Code:
compiling ...
error while compiling file C:\Users\pc\Downloads\Pinguino-X4-EasyPack-Win32-Rev685mod-v01-2013-02\x4-easy-rev685mod\examples\01.Basics\Blink\Blink.pde
debug:..\..\include\wx/msw/private.(697) 'UnreguisterClass' failure with error 0x000000584 (la clase todavia tiene ventanas aviertas)
se resuelve con pyton y wxpython 2.6

y por ultimo en kubuntu x64
desde konsola

Code:
[color=#4682B4]alex@alex:~/Documentos/x.4$ ./pinguino_start.sh -P -f /home/alex/BlinkWithoutDelay.pde
Board: Pinguino 4550
Proc.: 18f4550
File : /home/alex/BlinkWithoutDelay.pde
preprocessing ...
compiling ...
Traceback (most recent call last):
  File "./pinguino.py", line 167, in <module>
    retour = pobject.compile(fname, curBoard)
  File "/home/alex/Documentos/x.4/wxgui/pinguino.py", line 571, in compile
    stdout=fichier, stderr=STDOUT)
  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
    errread, errwrite)
  File "/usr/lib/python2.7/subprocess.py", line 1239, in _execute_child
    raise child_exception
OSError: [Errno 2] No existe el archivo o el directorio[/color]

a la placa difiere mucho de la de pinguino es un diseño propio estandard para usb y pic dip28

espero con estos informes sirban para ayudar con el problema
Reply
18-05-2013, 10:15 PM,
#6
RE: no puedo compilar desde linux ni ejecutar desde windows 7
(16-05-2013, 02:12 PM)alexrlopez86 Wrote: hola a todos soy nuevo en el foro estoy tratando de usar pinguino en su version mas reciente descargada desde "svn checkout http://pinguino32.googlecode.com/svn/ide/x.4/" y si trato de ejecutarla desde kubuntu x64 instalado con el script de yeison parece ir todo bien pero no logro compilar un simple blinck de ejemplo, aparte hay veses que puedo avrir los archivos y otras que trato de avrir y no se muestra nada en la lista, y en windows 7 no se ejecuta en el log no da errores pero se queda cargando la ventana de dos y no se ejecuta al contrario que en windows xp que es donde unico parece ir todo bien


espero su ayuda

Al principio, en w7 yo tambien tenia este tipo de problemas.
Lo resolvi desistanlando todo , limiando registro con ccleaner y volviendo a instalar todo de nuevo , segui el wiki y ya me funciona todo correctamente.

(17-05-2013, 12:46 PM)mirasu Wrote: yo no lo consigo. y tengo el mismo chip y misma version del X4.
Que bootloader usas? la placa la montaste tu? si la montaste tu con el esquema del wiki http://wiki.pinguino.cc/index.php/PIC18F2550_Pinguino

a mi me va bien con el X4 685+ y bootloader 4.8 pero con los posteriores nada

Que bootloader es el que usas tu con la placa 2550 ???
existe algun bootloader mas moderno que el 2.12 que aparece en el wiki ???
Yo tengo una 18f2550 con el bootloader 2.12 construida por mi , no sabia que existiese un bootloader mas moderno , o almenos en el wiki no lo pone.
Reply
19-05-2013, 08:07 PM,
#7
RE: no puedo compilar desde linux ni ejecutar desde windows 7
que yo sepa hay 2 mas nuevos para ese chip si tienes al ultima version SVN en la carpeta extras encontraras el V3 y V4,8. tambien el 2,12.
El V3 no se para que vale, no me a ido nunca
el v2,12 me va en el ide X3 y X4 685+ en winxp
el v4,8 me va en X4 685+ en xp

entonces el 2,12 te va bien en X4 v686 o mas? lo volvere a intentar

Yo creo que debo tener algo mal en mi placa pinguino, porque no me van las nuevas versiones del X4 ni el pinguino KIT.

Si tu tambien tienes el 2550 casero, podriamos intercambiar impresiones para ver cual es el problema,
Reply
22-05-2013, 08:36 PM,
#8
RE: no puedo compilar desde linux ni ejecutar desde windows 7
(19-05-2013, 08:07 PM)mirasu Wrote: que yo sepa hay 2 mas nuevos para ese chip si tienes al ultima version SVN en la carpeta extras encontraras el V3 y V4,8. tambien el 2,12.
El V3 no se para que vale, no me a ido nunca
el v2,12 me va en el ide X3 y X4 685+ en winxp
el v4,8 me va en X4 685+ en xp

entonces el 2,12 te va bien en X4 v686 o mas? lo volvere a intentar

Yo creo que debo tener algo mal en mi placa pinguino, porque no me van las nuevas versiones del X4 ni el pinguino KIT.

Si tu tambien tienes el 2550 casero, podriamos intercambiar impresiones para ver cual es el problema,

Actualmente tengo el 2.12 y me funciona perfectamente con lel x4 revision 685 en windows 7
Reply
23-05-2013, 10:07 PM,
#9
RE: no puedo compilar desde linux ni ejecutar desde windows 7
Hola caaveiro

Si como te comento la version 2.12 me va bien en X4 v685+ y inferiores. pero la 4.8 solo me va en la X4 v685+ ni inferiores ni superiores.

Es muy raro. porque he montado otro pinguino esta vez con el 4550 bootloader 4.8 y de momento me va perfecto en toda las versiones X4 y pinguino_kit

asi no se cual es el problema con mi 2550, cuando pueda montare otro, a ver si hay algo mal.

sobre el X4 685+ esta muy bien, pero tiene algunos fallos y por eso he querido que mi pinguino funcionara en las nuevas versiones.

A sobre tu instalacion en ubuntu yo lo hice con el mismo script, solo decirte que tube que instalar 2 programas para que funcionara, Como soy nuevo en ubuntu o super nuevo en Gnome me toco hacer una chapuza, ya que no encontraba las dependencias. y fue instalar WXglade y SVNWorkbench no recuerdo cual era el problema pero con esto se soluciono.
Bueno antes de hacer nada mejor pon aqui el pinguino.log y tambien puedes volver a ejecutar el scritp no pongas ninguna version cuando te pregunte y asi te baja la ultima disponible


ya me cuentas
Reply
24-05-2013, 09:50 PM,
#10
RE: no puedo compilar desde linux ni ejecutar desde windows 7
(23-05-2013, 10:07 PM)mirasu Wrote: Hola caaveiro

Si como te comento la version 2.12 me va bien en X4 v685+ y inferiores. pero la 4.8 solo me va en la X4 v685+ ni inferiores ni superiores.

Es muy raro. porque he montado otro pinguino esta vez con el 4550 bootloader 4.8 y de momento me va perfecto en toda las versiones X4 y pinguino_kit

asi no se cual es el problema con mi 2550, cuando pueda montare otro, a ver si hay algo mal.

sobre el X4 685+ esta muy bien, pero tiene algunos fallos y por eso he querido que mi pinguino funcionara en las nuevas versiones.

A sobre tu instalacion en ubuntu yo lo hice con el mismo script, solo decirte que tube que instalar 2 programas para que funcionara, Como soy nuevo en ubuntu o super nuevo en Gnome me toco hacer una chapuza, ya que no encontraba las dependencias. y fue instalar WXglade y SVNWorkbench no recuerdo cual era el problema pero con esto se soluciono.
Bueno antes de hacer nada mejor pon aqui el pinguino.log y tambien puedes volver a ejecutar el scritp no pongas ninguna version cuando te pregunte y asi te baja la ultima disponible


ya me cuentas


yo de momento solo lo he probao en la x4 685 por que no soy capaz de hacer funcionar cualqueira de las otras versiones ninguna de las que corren bajo phyton.

Con lo cual no se decirte si funciona con otra combinacion o no.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)